<?php
class MST_ClaseSubFamiliaBN extends BaseMST_ClaseSubFamiliaBN
{
    public function getObjectClaseLinea()
    {
        $o_MST_ClaseLineaFN = new MST_ClaseLineaFN();
        $o_MST_ClaseLineaBN = $o_MST_ClaseLineaFN->selectByPK( $this->getIdLinea() );
        return $o_MST_ClaseLineaBN;
    }
    
    public function getClaseLineaDesc()
    {
        return $this->getObjectClaseLinea()->getDescripcion();
    }
    
    public function getObjectClaseFamilia()
    {
        $o_MST_ClaseFamiliaFN = new MST_ClaseFamiliaFN();
        $o_MST_ClaseFamiliaBN = $o_MST_ClaseFamiliaFN->selectByPK( $this->getIdFamilia() );
        if( !$o_MST_ClaseFamiliaBN )
        {
            $o_MST_ClaseFamiliaBN = new MST_ClaseFamiliaBN();
            $o_MST_ClaseFamiliaBN->setDescripcion( "----" );
        }
        return $o_MST_ClaseFamiliaBN;
    }
    
    public function getClaseFamiliaDesc()
    {
        return $this->getObjectClaseFamilia()->getDescripcion();
    }
    
    public function getDescripcionSubFamilia()
    {
        return utilString::limpiar_caracteres_para_imprimir( $this->getDescripcion() );
    }
}
?>